Bug 429752 - rhm docs not installed in /usr/share/doc
rhm docs not installed in /usr/share/doc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide (Show other bugs)
beta
All Linux
urgent Severity low
: ---
: ---
Assigned To: Nuno Santos
Kim van der Riet
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 16:24 EST by Alan Conway
Modified: 2013-09-12 18:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 11:47:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-01-22 16:24:03 EST
Description of problem:

> 2. The rhm docs were installed in /usr/share/rhm-docs-0.2 instead of
/usr/share/doc/rhm-docs-02. Was the missing "doc" directory intentional?
Version-Release number of selected component (if applicable):


Expected results:

rhm docs should go in /usr/share/doc/rhm-0.2. Also check other packages, e.g. I
think qpidc may be making the same mistake.

Additional info:
Comment 1 Nuno Santos 2008-01-22 17:36:13 EST
Fixed for rhm-docs-0.2-8

Relevant bits from the specfile:

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/usr/share/doc/rhm-%{version}
cp -pr * $RPM_BUILD_ROOT/usr/share/doc/rhm-%{version}
# fix warnings about script permissions
find $RPM_BUILD_ROOT/usr/share/doc/rhm-%{version} -name '*.py' \
  -exec chmod +x {} \;

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
/usr/share/doc/rhm-%{version}
Comment 2 Alan Conway 2008-01-29 09:35:03 EST
Installed today

Version     : 0.2                               Vendor: Red Hat, Inc.
Release     : 13.el5                        Build Date: Thu 24 Jan 2008 05:44:50
PM EST

Only the LICENCE.txt file is under /usr/share/doc/rhm-docs-0.2  everything else
is still in /usr/share/rhm-docs-0.2

To be consistent with common practice we should put all the docs under
/usr/share/docs/rmh-0.2 (note no -docs in the directory name.)
Comment 3 Nuno Santos 2008-02-07 12:14:54 EST
Alan: I had to roll back the changes in order to match documentation at the time.

I've re-included the patch above as of 0.2-14, all files should now be under
/usr/share/doc/rhm-0.2
Comment 4 Lana Brindley 2008-02-08 01:07:12 EST
Messaging Tutorial has been updated to /usr/share/doc/rhm-0.2/

See: https://bugzilla.redhat.com/show_bug.cgi?id=431958

Note You need to log in before you can comment on or make changes to this bug.